Name:          jotm
Version:       2.0.11
Release:       %mkrel 1
Summary:       Java Open Transaction Manager
Group:         Development/Java
License:       BSD
Url:           http://jotm.objectweb.org/
Source0:       http://download.fr.forge.objectweb.org/jotm/jotm-%{version}-MR2-src.tgz
Source1:       jotm-%{version}.pom
Patch0:        jotm-2.0.11-build_xml.patch
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-logging
BuildRequires: carol
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-jms 
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: howl-logger
BuildRequires: java-devel
BuildRequires: jonathan-core
BuildRequires: jonathan-jeremie
BuildRequires: jpackage-utils
BuildRequires: kilim1
BuildRequires: liblog4j-java
BuildRequires: openorb-ots
BuildRequires: xapool
BuildRequires: xerces-j2
# documentation
BuildRequires: latex2html
BuildRequires: texlive

Requires:      apache-commons-cli
Requires:      apache-commons-logging
Requires:      carol
Requires:      geronimo-j2ee-connector-1_5-api
Requires:      geronimo-jta-1.0.1B-api
Requires:      howl-logger
Requires:      jonathan-core
Requires:      jonathan-jeremie
Requires:      jpackage-utils
Requires:      kilim1
Requires:      liblog4j-java
Requires:      openorb-ots
Requires:      xapool
BuildArch:     noarch

%description
Today the JOTM team delivers to you a Java Open Source
implementation of the JTA APIs. This implementation is
fully functional and mature since it has been used for
several years in the JOnAS application server project.
Tomorrow we aim at delivering adaptable software that
can be used in a wide range of use cases involving
transaction management. In particular we are currently
looking at covering transaction models such as flat,
CNT, ONT, BTP and transaction standards including JTA,
JTS, OTS.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
JOTM : A Java Open Transaction Manager.

This package contains javadoc for %{name}

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
JOTM : A Java Open Transaction Manager.

This package contains documents for %{name}.

%package demo
Group:         Development/Java
Summary:       Examples for %{name}

%description demo
JOTM : A Java Open Transaction Manager.

This package contains examples for %{name}.

%prep
%setup -q -n jotm-%{version}-MR2

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

#sed -i "s|commons-cli.jar jts1_0.jar carol-2.0.5.jar howl-0.1.8.jar connector-1_5.jar jta-spec1_0_1.jar log4j.jar commons-logging.jar xapool-1.5.0.jar|$(build-classpath carol/ow_carol) $(build-classpath commons-cli) $(build-classpath openorb-ots) $(build-classpath howl-logger) $(build-classpath geronimo-j2ee-connector-1.5-api) $(build-classpath geronimo-jta-1.0.1B-api) $(build-classpath log4j) $(build-classpath commons-logging) $(build-classpath xapool)|" archive/jotm.mf

%patch0 -p0

pushd externals
  ln -sf $(build-classpath carol/ow_carol) carol-2.0.5.jar
  ln -sf $(build-classpath howl-logger) howl-0.1.11.jar
  ln -sf $(build-classpath jonathan-core) jonathan-core.jar
  ln -sf $(build-classpath jonathan-jeremie) jeremie.jar
  ln -sf $(build-classpath commons-cli) commons-cli.jar
  ln -sf $(build-classpath commons-logging) commons-logging.jar
  ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) connector-1_5.jar
  ln -sf $(build-classpath geronimo-jta-1.0.1B-api) jta-spec1_0_1.jar
  ln -sf $(build-classpath kilim1) kilim.jar
  ln -sf $(build-classpath log4j) log4j.jar
  ln -sf $(build-classpath xapool) xapool-1.5.0.jar
  ln -sf $(build-classpath openorb-ots) jts1_0.jar
popd
# TODO
#pushd examples/jms
#  ln -sf $(build-classpath geronimo-jms) jms.jar
#  ln -sf $(build-classpath xerces-j2) xerces.jar
#  jonas_jms.jar.no
#  joram.jar.no
#popd

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-cli commons-logging carol/ow_carol howl-logger log4j)
CLASSPATH=$CLASSPATH:$(build-classpath jonathan-core jonathan-jeremie kilim1 xapool xerces-j2)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-jms geronimo-j2ee-connector-1.5-api geronimo-jta-1.0.1B-api)
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/jotm

install -pm 644 output/dist/lib/jotm.jar \
  %{buildroot}%{_javadir}/jotm/jotm-%{version}.jar
install -pm 644 output/dist/lib/jotm_iiop_stubs.jar \
  %{buildroot}%{_javadir}/jotm/jotm_iiop_stubs-%{version}.jar
install -pm 644 output/dist/lib/jotm_jrmp_stubs.jar \
  %{buildroot}%{_javadir}/jotm/jotm_jrmp_stubs-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap jotm jotm %{version} JPP jotm
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jotm.pom

(
  cd %{buildroot}%{_javadir}/jotm
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_datadir}/jotm-%{version}/conf
cp -pr output/dist/conf/* %{buildroot}%{_datadir}/jotm-%{version}/conf
mkdir -p %{buildroot}%{_datadir}/jotm-%{version}/examples
cp -pr output/dist/examples/* %{buildroot}%{_datadir}/jotm-%{version}/examples

mkdir -p %{buildroot}%{_javadocdir}/jotm-%{version}
cp -pr output/dist/jdoc/* %{buildroot}%{_javadocdir}/jotm-%{version}
ln -sf jotm-%{version} %{buildroot}%{_javadocdir}/jotm

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jotm/jotm-%{version}.jar
%{_javadir}/jotm/jotm.jar
%{_javadir}/jotm/jotm_iiop_stubs-%{version}.jar
%{_javadir}/jotm/jotm_iiop_stubs.jar
%{_javadir}/jotm/jotm_jrmp_stubs-%{version}.jar
%{_javadir}/jotm/jotm_jrmp_stubs.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc output/dist/LICENSE.txt

%files javadoc
%{_javadocdir}/jotm-%{version}
%{_javadocdir}/jotm

%files manual
%defattr(-,root,root)
%doc output/dist/doc/*

%files demo
%{_datadir}/jotm-%{version}



%changelog

* Sun Aug 28 2011 dmorgan <dmorgan> 2.0.11-1.mga2
+ Revision: 135878
- Fix groups

  + gil <gil>
    - imported package jotm


* Thu Jun 30 2011 gil <gil> 2.0.11-0.%%mkrel
- initial rpm

